MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031588Open CASCADE[OCCT] OCCT:Visualizationpublic2020-06-02 17:012020-07-04 12:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031588: Visualization, TKOpenGl - display immediate updates in brackets within frame stats
DescriptionCurrently on-screen frame statistics displays information about last frame redraw - which could be either Redraw()+RedrawImmediate() or just RedrawImmediate(). In the latter case, displayed statistics is confusing, as memory counters and number of structures is much smaller than of complete scene, so that to see more useful information it is required dragging viewer.

Information about RedrawImmediate() is still useful, but it is desired showing information about entire scene by default. It is proposed optionally displaying both counters, with immediate layer shown in brackets.
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon perf_counters.png (460,248 bytes) 2020-07-02 13:43

- Relationships
child of 0029346closedbugmaster Visualization, TKOpenGl - collect frame statistics 

-  Notes
(0092894)
git (administrator)
2020-07-02 13:42

Branch CR31588 has been created by kgv.

SHA-1: 4cccaf7d446cab2243169583ea26d68bd8144255


Detailed log of new commits:

Author: kgv
Date: Thu Jul 2 12:29:44 2020 +0300

    0031588: Visualization, TKOpenGl - display immediate updates in brackets within frame stats
(0092900)
kgv (developer)
2020-07-02 15:58

Patch is ready for review in OCCT branch CR31588.

http://jenkins-test-12.nnov.opencascade.com/view/CR31588-master-KGV [^]
(0092919)
osa (developer)
2020-07-03 09:17

The patch was reviewed
(0092953)
bugmaster (administrator)
2020-07-04 12:14

Combination -
OCCT branch : IR-2020-07-03
master SHA - 8f5760bc1679b45691fe8ac5fff1a4e978524009
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-03 SHA - 715997b86e7db13b7a7ddd1f26bab717621d84ec
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17174.900000000107 / 17168.64000000016 [+0.04%]
Products
Total CPU difference: 11226.760000000077 / 11202.250000000082 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 18704.34375 / 18712.96875 [-0.05%]
Products
Total CPU difference: 13043.15625 / 13084.109375 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092961)
git (administrator)
2020-07-04 12:52

Branch CR31588 has been deleted by inv.

SHA-1: 4cccaf7d446cab2243169583ea26d68bd8144255

- Related Changesets
occt: master 8f5760bc
Timestamp: 2020-07-02 09:29:44
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031588: Visualization, TKOpenGl - display immediate updates in brackets within frame stats
mod - src/Graphic3d/Graphic3d_FrameStats.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_FrameStatsCounter.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_FrameStatsData.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_FrameStatsData.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-02 17:01 kgv New Issue
2020-06-02 17:01 kgv Assigned To => kgv
2020-06-02 17:01 kgv Relationship added child of 0029346
2020-07-02 13:42 git Note Added: 0092894
2020-07-02 13:43 kgv File Added: perf_counters.png
2020-07-02 15:58 kgv Note Added: 0092900
2020-07-02 15:58 kgv Assigned To kgv => osa
2020-07-02 15:58 kgv Status new => resolved
2020-07-03 09:17 osa Note Added: 0092919
2020-07-03 09:17 osa Assigned To osa => bugmaster
2020-07-03 09:17 osa Status resolved => reviewed
2020-07-04 12:14 bugmaster Note Added: 0092953
2020-07-04 12:14 bugmaster Status reviewed => tested
2020-07-04 12:19 bugmaster Test case number => Not required
2020-07-04 12:23 bugmaster Changeset attached => occt master 8f5760bc
2020-07-04 12:23 bugmaster Status tested => verified
2020-07-04 12:23 bugmaster Resolution open => fixed
2020-07-04 12:52 git Note Added: 0092961


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker